.achievements-categories {
  width: 16rem;
}

.achievements-subcat {
  margin-left: 20px;
  background-color: darken($list-group-bg, 3%);
}

.achievements-content {
  min-width: 0;
}

#achievements-container {
  > div {
    margin-top: .5rem;
  }
}

.achievements-summary {
  display: flex;
  flex-wrap: wrap;

  padding-bottom: .75rem;

  background: $list-group-bg;
  border: 1px solid $border-color;

  > div {
    margin-top: 0.75rem;

    h5 {
      margin-bottom: .2rem;
    }

    .progress {
      margin: 0;
      height: 25px;

      .progress-bar {
        font-size: 14px;
        line-height: 25px;
      }
    }
  }
}

.achievements {
  @media (min-width: 1400px) {
    column-count: 2;
  }
}

.achievement {
  width: 100%;
  margin-bottom: calc(#{$achievement-spacing} * 2);
  padding: .4rem;
  break-inside: avoid;
  background: $list-group-bg;
  border: 2px solid $list-group-border-color;

  display: flex;
  flex-wrap: nowrap;
  align-items: center;

  //@include text-shadow;
}

.achievement-earned {
  background: darken($green, 8%);
  border-color: $green;
}

.achievement-image {
  padding-right: 0.5rem;
  width: 52px;
  vertical-align: middle;

  img {
    box-sizing: content-box;
    border-width: 2px;
    border-style: solid;
  }
}

.achievement-text {
  flex: 1 1 auto;
  overflow: auto;

  h5 {
    margin-bottom: .2rem;
    font-size: 1.05rem;
    @include ellipsis;
  }
}

.achievement-data {
  text-align: right;

  div {
    white-space: nowrap;
  }
}
